function xdot=DuffyModel_Equations(t,x,p)

    beta1 = p(1);  
    beta2 = p(2);  
    b1 = p(3);  
    b2 = p(4);  
    d = p(5);  
    ee = p(6);  
    f = p(7);  
    K = p(8);  
    m = p(9);  
    n = p(10);    
    v = p(11);    
    theta = p(12);  
    sigma = p(13);  
    epsilon = p(14);  
    
    S=x(1);
    II=x(2);
    Z=x(3);
    alpha=x(4);
    beta=x(5);
    
    
    
    xdot = zeros(5,1);
	xdot(1) = b1*(II*beta*f+S*alpha)*(1-(II+S)/K)-n*alpha*S-m*alpha*S-beta1*alpha*S*Z+b2*((-II*beta+II)*f-alpha*S+S)*(1-(II+S)/K)-n*(-S*alpha+S)-m*(-S*alpha+S)-beta2*(-S*alpha+S)*Z;
	xdot(2) = -beta*II*m*theta-(-II*beta+II)*m*theta+beta1*alpha*S*Z+beta2*(-S*alpha+S)*Z-beta*II*n-beta*II*v-(-II*beta+II)*n-(-II*beta+II)*v;
    xdot(3) = sigma*(ee*m*theta+n+v)*II-d*Z-beta1*alpha*S*Z-beta2*(-S*alpha+S)*Z;
    xdot(4) = epsilon*((b1*(II*beta*f+S*alpha)*(1-(II+S)/K)-n*alpha*S-m*alpha*S-beta1*alpha*S*Z)*S-alpha*S*(b1*(II*beta*f+S*alpha)*(1-(II+S)/K)-n*alpha*S-m*alpha*S-beta1*alpha*S*Z+b2*((-II*beta+II)*f-alpha*S+S)*(1-(II+S)/K)-n*(-S*alpha+S)-m*(-S*alpha+S)-beta2*(-S*alpha+S)*Z))/S^2;
    xdot(5) = epsilon*((-II*beta*m*theta+S*Z*alpha*beta1-II*beta*n-II*beta*v)*II-beta*II*(-beta*II*m*theta-(-II*beta+II)*m*theta+beta1*alpha*S*Z+beta2*(-S*alpha+S)*Z-beta*II*n-beta*II*v-(-II*beta+II)*n-(-II*beta+II)*v))/II^2;
    
end

