#############################################
### Hiltunen et al. 2014 - 1b
#############################################

### Parameters
delta = 1
r = 2
k1 = .234
k2 = 100
k3 = 285
k4 = .19
p1 = 0.5e-1
p2 = 1
p3 = 0.5e-1
p4 = 1
g = 2
kr = .2
alphaf = 0.5e-1
Pi1 = 1
Pi2 = 1
Pi3 = .1
Pi4 = .1
h = 3
eta = .4*.2
If = 0.1e-2
A2=0
A3=0

### CONTINUOUS TRAIT MODEL - S, A = A1+A4, R, F, alpha = A1/A
f=function(x){S=x[1];A=x[2];R=x[3];F=x[4];alpha=x[5];
eqn1= delta*(1-S)-r*S*(alpha*A/(k1+S)+(-A*alpha+A)/(k4+S));
eqn2= alpha*A*(r*S/(k1+S)-p1*g*R/(alpha*A*p1+(-A*alpha+A)*p4+F*alphaf+kr)-Pi1*h*F-delta)+(-A*alpha+A)*(r*S/(k4+S)-p4*g*R/(alpha*A*p1+(-A*alpha+A)*p4+F*alphaf+kr)-Pi4*h*F-delta);
eqn3= R*(g*(alpha*A*p1+(-A*alpha+A)*p4)/(alpha*A*p1+(-A*alpha+A)*p4+F*alphaf+kr)+eta*F/(alpha*A*p1+(-A*alpha+A)*p4+F*alphaf+kr)-delta)
eqn4= F*(h*(alpha*A*Pi1+(-A*alpha+A)*Pi4)-eta*R/(alpha*A*p1+(-A*alpha+A)*p4+F*alphaf+kr)-delta)+If;
eqn5= (alpha*A^2*(r*S/(k1+S)-p1*g*R/(alpha*A*p1+(-A*alpha+A)*p4+F*alphaf+kr)-Pi1*h*F-delta)-alpha*A*(alpha*A*(r*S/(k1+S)-p1*g*R/(alpha*A*p1+(-A*alpha+A)*p4+F*alphaf+kr)-Pi1*h*F-delta)+(-A*alpha+A)*(r*S/(k4+S)-p4*g*R/(alpha*A*p1+(-A*alpha+A)*p4+F*alphaf+kr)-Pi4*h*F-delta)))/A^2;
return(c(eqn1,eqn2,eqn3,eqn4,eqn5))}

### initial guess
xstart=c(0.3,0.5,0.6,0.05,0.6)