#############################################
### Hiltunen et al. 2014 - 1b
#############################################

### Parameters
delta = 1
r = 3.3
k1 = .1475
k2 = 50
k3 = 97.5
k4 = 0.7375e-1
p1 = 0.5e-1
p2 = 1
p3 = 0.5e-1
p4 = 1
g = 2.5
kr = .2
alphaf = 0.5e-1
Pi1 = 1
Pi2 = 1
Pi3 = 0.5e-1
Pi4 = 0.5e-1
h = 3
eta = .4
If = 0.1e-2
A2=0
A3=0

### CONTINUOUS TRAIT MODEL - S, A = A1+A4, R, F, alpha = A1/A
f=function(x){S=x[1];A=x[2];R=x[3];F=x[4];alpha=x[5];
eqn1= delta*(1-S)-r*S*(alpha*A/(k1+S)+(-A*alpha+A)/(k4+S));
eqn2= alpha*A*(r*S/(k1+S)-p1*g*R/(alpha*A*p1+(-A*alpha+A)*p4+F*alphaf+kr)-Pi1*h*F-delta)+(-A*alpha+A)*(r*S/(k4+S)-p4*g*R/(alpha*A*p1+(-A*alpha+A)*p4+F*alphaf+kr)-Pi4*h*F-delta);
eqn3= R*(g*(alpha*A*p1+(-A*alpha+A)*p4)/(alpha*A*p1+(-A*alpha+A)*p4+F*alphaf+kr)+eta*F/(alpha*A*p1+(-A*alpha+A)*p4+F*alphaf+kr)-delta)
eqn4= F*(h*(alpha*A*Pi1+(-A*alpha+A)*Pi4)-eta*R/(alpha*A*p1+(-A*alpha+A)*p4+F*alphaf+kr)-delta)+If;
eqn5= (alpha*A^2*(r*S/(k1+S)-p1*g*R/(alpha*A*p1+(-A*alpha+A)*p4+F*alphaf+kr)-Pi1*h*F-delta)-alpha*A*(alpha*A*(r*S/(k1+S)-p1*g*R/(alpha*A*p1+(-A*alpha+A)*p4+F*alphaf+kr)-Pi1*h*F-delta)+(-A*alpha+A)*(r*S/(k4+S)-p4*g*R/(alpha*A*p1+(-A*alpha+A)*p4+F*alphaf+kr)-Pi4*h*F-delta)))/A^2;
return(c(eqn1,eqn2,eqn3,eqn4,eqn5))}

### initial guess
xstart=c(0.15,0.45,0.15,0.23,0.9)